Skip to main content
GET
/
api
/
v1
/
contracts
curl -H "X-API-Key: your_api_key_here" \
  "https://api.northaxiumdata.ca/api/v1/contracts?vendor=Palantir&limit=5&offset=5"
{
  "data": [
    {
      "record_id": "abc123xyz",
      "vendor": "Palantir Technologies Canada Inc",
      "department": "Royal Canadian Mounted Police | Gendarmerie royale du Canada",
      "value": 1250000.00,
      "date": "2023-06-15",
      "procurement_method": "Non-competitive",
      "source_dataset": "open.canada contracts (PP-Contracts)",
      "source_url": "https://buyandsell.gc.ca/..."
    }
  ],
  "meta": {
    "total": 47,
    "limit": 5,
    "offset": 5
  }
}

Overview

Returns paginated federal contract records from CanadaBuys and TBS Proactive Disclosure. Use vendor, department, and date filters to narrow results. For an aggregated view of a specific vendor, use the Vendor Profile endpoint instead.

Getting Started

There are only 3 steps for making a successful API call:
  1. Add your API key to the header as X-API-Key
  2. Add query parameters to filter the data
  3. Execute the request

Query Parameters

vendor
string
Partial match on vendor name (case-insensitive). Example: Palantir.
department
string
Partial match on department name (case-insensitive). Example: National Defence.
method
string
Exact match on procurement_method field. Example: Non-competitive.
source
string
Exact match on source_dataset field. Example: open.canada.
min_value
number
Minimum contract value in CAD. Example: 100000.
max_value
number
Maximum contract value in CAD. Example: 5000000.
date_from
string
ISO 8601 start date — e.g. 2023-01-01. Example: 2023-01-01.
date_to
string
ISO 8601 end date — e.g. 2023-12-31. Example: 2023-12-31.
limit
integer
Results per page. Default: 50. Max: 200. Example: 25.
offset
integer
Result offset for pagination. Default: 0. Example: 50.
page and per_page are accepted as input aliases. per_page maps to limit, and page is converted internally into the corresponding offset.
curl -H "X-API-Key: your_api_key_here" \
  "https://api.northaxiumdata.ca/api/v1/contracts?vendor=Palantir&limit=5&offset=5"
{
  "data": [
    {
      "record_id": "abc123xyz",
      "vendor": "Palantir Technologies Canada Inc",
      "department": "Royal Canadian Mounted Police | Gendarmerie royale du Canada",
      "value": 1250000.00,
      "date": "2023-06-15",
      "procurement_method": "Non-competitive",
      "source_dataset": "open.canada contracts (PP-Contracts)",
      "source_url": "https://buyandsell.gc.ca/..."
    }
  ],
  "meta": {
    "total": 47,
    "limit": 5,
    "offset": 5
  }
}